Index: CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v2/AA_make
===================================================================
--- CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v2/AA_make	(revision 775)
+++ CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v2/AA_make	(revision 777)
@@ -88,5 +88,6 @@
 
 orca2:
-	(cd ../../modeles/NEMO/WORK; $(M_K) USER_INC='-I ../$(PRISM_DIR)/$(PRISM_ARCH)/build/lib/psmile.$(LIB_MPI)' USER_LIB='-L../$(PRISM_DIR)/$(PRISM_ARCH)/lib -lpsmile.$(LIB_MPI) -lmpp_io' P_P='key_trabbl_dif key_vectopt_loop key_vectopt_memory key_orca_r2 key_lim2 key_dynspg_flt key_ldfslp key_traldf_c2d key_traldf_eiv key_dynldf_c3d key_dtatem key_dtasal key_coupled key_trabbc key_zdftke key_zdftmx key_zdfddm key_oasis3 key_diahth key_diaeiv key_cpl_albedo key_cpl_discharge key_mpp_mpi' ; )
+	#(cd ../../modeles/NEMO/WORK; $(M_K) USER_INC='-I ../$(PRISM_DIR)/$(PRISM_ARCH)/build/lib/psmile.$(LIB_MPI)' USER_LIB='-L../$(PRISM_DIR)/$(PRISM_ARCH)/lib -lpsmile.$(LIB_MPI) -lmpp_io' P_P='key_trabbl_dif key_vectopt_loop key_vectopt_memory key_orca_r2 key_lim2 key_dynspg_flt key_ldfslp key_traldf_c2d key_traldf_eiv key_dynldf_c3d key_dtatem key_dtasal key_coupled key_trabbc key_zdftke key_zdftmx key_zdfddm key_oasis3 key_diahth key_diaeiv key_cpl_albedo key_cpl_discharge key_mpp_mpi' ; )
+	(cd ../../modeles/NEMO/WORK; $(M_K) FCM=use USER_INC='-I ../$(PRISM_DIR)/$(PRISM_ARCH)/build/lib/psmile.$(LIB_MPI)' USER_LIB='-L../$(PRISM_DIR)/$(PRISM_ARCH)/lib -lpsmile.$(LIB_MPI) -lmpp_io' P_P='key_trabbl_dif key_vectopt_loop key_vectopt_memory key_orca_r2 key_lim2 key_dynspg_flt key_ldfslp key_traldf_c2d key_traldf_eiv key_dynldf_c3d key_dtatem key_dtasal key_coupled key_trabbc key_zdftke key_zdftmx key_zdfddm key_oasis3 key_diahth key_diaeiv key_cpl_albedo key_cpl_discharge key_mpp_mpi key_iomput' ; )
 
 verif:
Index: CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v2/EXP00/COMP/lim2.card
===================================================================
--- CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v2/EXP00/COMP/lim2.card	(revision 775)
+++ CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v2/EXP00/COMP/lim2.card	(revision 777)
@@ -18,11 +18,19 @@
 
 [OutputText]
-List=   (ice_evolu, ice_mouchard)
+List=   (ice_evolu)
 
 [OutputFiles]
-List=   (${PREFIX_NWRITE}_${DATE_OPA}_icemod.nc, ${R_OUT_ICE_NWRITE}/${PREFIX}_${WF1}_icemod.nc, Post_1M_icemod)
+List=   (ORCA2_1m_icemod.nc, ${R_OUT_ICE_O_M}/${PREFIX}_1M_icemod.nc, Post_1M_icemod),\
+        (ORCA2_5d_icemod.nc, ${R_OUT_ICE_O_D}/${PREFIX}_5D_icemod.nc, Post_time),\
+        (ORCA2_1d_icemod.nc, ${R_OUT_ICE_O_D}/${PREFIX}_1D_icemod.nc, Post_time)
 
 [Post_1M_icemod]
-Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter)
-TimeSeriesVars = (iicethic, ileadfra, isnowthi, iicevelu, iicevelv)
+Patches = (Patch_20091030_histcom_time_axis)
+GatherWithInternal = (nav_lon, nav_lat, time_counter)
+TimeSeriesVars = (iicethic, isnowthi, iicevelu, iicevelv)
+
+[Post_time]
+Patches = (Patch_20091030_histcom_time_axis)
+GatherWithInternal =
+TimeSeriesVars =
+
Index: CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v2/EXP00/COMP/lim2.card.noiomput
===================================================================
--- CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v2/EXP00/COMP/lim2.card.noiomput	(revision 777)
+++ CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v2/EXP00/COMP/lim2.card.noiomput	(revision 777)
@@ -0,0 +1,28 @@
+[Compatibility]
+libIGCM=1.0
+
+[UserChoices]
+
+[InitialStateFiles]
+List=	()
+
+[BoundaryFiles]
+List=	()
+ListNonDel= ()
+
+[ParametersFiles]
+List=	(${SUBMIT_DIR}/PARAM/namelist_ice_${RESOL_OCE}, namelist_ice)
+
+[RestartFiles]
+List=	(${config_UserChoices_JobName}_${NEMO_END}_restart_ice.nc, restart_icemod.nc, restart_ice_in.nc)
+
+[OutputText]
+List=   (ice_evolu, ice_mouchard)
+
+[OutputFiles]
+List=   (${PREFIX_NWRITE}_${DATE_OPA}_icemod.nc, ${R_OUT_ICE_NWRITE}/${PREFIX}_${WF1}_icemod.nc, Post_1M_icemod)
+
+[Post_1M_icemod]
+Patches = ()
+GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter)
+TimeSeriesVars = (iicethic, ileadfra, isnowthi, iicevelu, iicevelv)
Index: CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v2/EXP00/COMP/opa9.card
===================================================================
--- CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v2/EXP00/COMP/opa9.card	(revision 775)
+++ CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v2/EXP00/COMP/opa9.card	(revision 777)
@@ -5,4 +5,6 @@
 OPA_NPDT_JOURS=15
 ORCA_version=ORCA2.2
+io_xml=y
+io_server=n
 
 [InitialStateFiles]
@@ -27,5 +29,7 @@
 
 [ParametersFiles]
-List=	(${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE}, namelist)
+List=	(${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE}, namelist),       \
+        (${SUBMIT_DIR}/PARAM/iodef.xml,             iodef.xml),      \
+        (${SUBMIT_DIR}/PARAM/xmlio_server.def,      xmlio_server.def)
 
 [RestartFiles]
@@ -36,35 +40,41 @@
 
 [OutputFiles]
-List=   (${PREFIX_NWRITE}_${DATE_OPA}_grid_T.nc, ${R_OUT_OCE_NWRITE}/${PREFIX}_${WF1}_grid_T.nc, Post_1M_grid_T),\
-        (${PREFIX_NWRITE}_${DATE_OPA}_grid_U.nc, ${R_OUT_OCE_NWRITE}/${PREFIX}_${WF1}_grid_U.nc, Post_1M_grid_U) ,\
-        (${PREFIX_NWRITE}_${DATE_OPA}_grid_V.nc, ${R_OUT_OCE_NWRITE}/${PREFIX}_${WF1}_grid_V.nc, Post_1M_grid_V),\
-        (${PREFIX_NWRITE}_${DATE_OPA}_grid_W.nc, ${R_OUT_OCE_NWRITE}/${PREFIX}_${WF1}_grid_W.nc, Post_1M_grid_W),\
+List=   (ORCA2_1m_grid_T.nc, ${R_OUT_OCE_O_M}/${PREFIX}_1M_grid_T.nc, Post_1M_grid_T),\
+        (ORCA2_1m_grid_U.nc, ${R_OUT_OCE_O_M}/${PREFIX}_1M_grid_U.nc, Post_1M_grid_U),\
+        (ORCA2_1m_grid_V.nc, ${R_OUT_OCE_O_M}/${PREFIX}_1M_grid_V.nc, Post_1M_grid_V),\
+        (ORCA2_1m_grid_W.nc, ${R_OUT_OCE_O_M}/${PREFIX}_1M_grid_W.nc, Post_1M_grid_W),\
+        (ORCA2_5d_grid_T.nc, ${R_OUT_OCE_O_D}/${PREFIX}_5D_grid_T.nc, Post_time),\
+        (ORCA2_5d_grid_U.nc, ${R_OUT_OCE_O_D}/${PREFIX}_5D_grid_U.nc, Post_time),\
+        (ORCA2_5d_grid_V.nc, ${R_OUT_OCE_O_D}/${PREFIX}_5D_grid_V.nc, Post_time),\
+        (ORCA2_5d_grid_W.nc, ${R_OUT_OCE_O_D}/${PREFIX}_5D_grid_W.nc, Post_time),\
+        (ORCA2_1d_grid_T.nc, ${R_OUT_OCE_O_D}/${PREFIX}_1D_grid_T.nc, Post_time),\
+        (ORCA2_1d_grid_U.nc, ${R_OUT_OCE_O_D}/${PREFIX}_1D_grid_U.nc, Post_time),\
+        (ORCA2_1d_grid_V.nc, ${R_OUT_OCE_O_D}/${PREFIX}_1D_grid_V.nc, Post_time),\
+        (ORCA2_1d_grid_W.nc, ${R_OUT_OCE_O_D}/${PREFIX}_1D_grid_W.nc, Post_time),\
         (${PREFIX_NWRITE}_${DATE_OPA}_diaptr.nc, ${R_OUT_OCE_NWRITE}/${PREFIX}_${WF1}_diaptr.nc, Post_1M_diaptr),\
-        (${PREFIX_NWRITE}_${DATE_OPA}_S_tren.nc, ${R_OUT_OCE_NWRITE}/${PREFIX}_${WF1}_S_tren.nc, NONE),\
-        (${PREFIX_NWRITE}_${DATE_OPA}_T_tren.nc, ${R_OUT_OCE_NWRITE}/${PREFIX}_${WF1}_T_tren.nc, NONE),\
         (${PREFIX_NWRITE}_${DATE_OPA}_trends.nc, ${R_OUT_OCE_NWRITE}/${PREFIX}_${WF1}_trends.nc, NONE),\
-        (${PREFIX_NWRITE}_${DATE_OPA}_diagap.nc, ${R_OUT_OCE_NWRITE}/${PREFIX}_${WF1}_diagap.nc, NONE),\
-        (${PREFIX_NWRIHF}_${DATE_OPA}_grid_T.nc, ${R_OUT_OCE_NWRIHF}/${PREFIX}_${WF2}_grid_T.nc, NONE),\
-        (${PREFIX_NWRIHF}_${DATE_OPA}_grid_U.nc, ${R_OUT_OCE_NWRIHF}/${PREFIX}_${WF2}_grid_U.nc, NONE),\
-        (${PREFIX_NWRIHF}_${DATE_OPA}_grid_V.nc, ${R_OUT_OCE_NWRIHF}/${PREFIX}_${WF2}_grid_V.nc, NONE),\
-        (mesh_mask.nc                          , ${R_OUT_OCE_O}/${config_UserChoices_JobName}_mesh_mask.nc, NONE)
+        (damping.coeff.nc , ${R_OUT_OCE_O_D}/${PREFIX}_damping.coeff.nc, NONE),\
+        (mesh_mask.nc     , ${R_OUT_OCE_O}/${config_UserChoices_JobName}_mesh_mask.nc, NONE),\
+        (output.abort.nc  , ${R_OUT_OCE_D}/${PREFIX}_output.abort.nc, NONE),\
+        (output.init.nc   , ${R_OUT_OCE_O_I}/${config_UserChoices_JobName}_${PeriodDateBegin}_output.init.nc, NONE)
+
 
 [Post_1M_grid_T]
-Patches = ()
+Patches = (Patch_20091030_histcom_time_axis)
 GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter)
 TimeSeriesVars = (sohtc300, sohefldo, soicecov, somxl010, sosaline, sossheig, sosstsst, sowaflcd, sowaflup)
 
 [Post_1M_grid_U]
-Patches = ()
+Patches = (Patch_20091030_histcom_time_axis)
 GatherWithInternal = (nav_lon, nav_lat, depthu, time_counter)
 TimeSeriesVars = (sozotaux)
 
 [Post_1M_grid_V]
-Patches = ()
+Patches = (Patch_20091030_histcom_time_axis)
 GatherWithInternal = (nav_lon, nav_lat, depthv, time_counter)
 TimeSeriesVars = (sometauy)
 
 [Post_1M_grid_W]
-Patches = ()
+Patches = (Patch_20091030_histcom_time_axis)
 GatherWithInternal = (nav_lon, nav_lat, depthw, time_counter)
 TimeSeriesVars =
@@ -73,3 +83,8 @@
 Patches = ()
 GatherWithInternal = (lat, deptht, depthw, time_counter)
-TimeSeriesVars = (zotemglo, zosalglo, zomsfglo, zotematl, zosalatl, zomsfatl, zotempac, zosalpac, zomsfpac, zotemind, zosalind, zomsfind, zotemipc, zosalipc, zomsfipc, sohtatl, sostatl, sohtpac, sostpac, sohtind, sostind, sohtipc, sostipc, sophtadv, sophtldf, sophtove, sophtldf, sopstadv, sopstove, zomsfeiv, sophteiv, sopsteiv) 
+TimeSeriesVars = (zotemglo, zosalglo, zomsfglo, zotematl, zosalatl, zomsfatl, zotempac, zosalpac, zomsfpac, zotemind, zosalind, zomsfind, zotemipc, zosalipc, zomsfipc, sohtatl, sostatl, sohtpac, sostpac, sohtind, sostind, sohtipc, sostipc, sophtadv, sophtove, sophtldf, sopstadv, sopstove, zomsfeiv, sophteiv, sopsteiv)
+
+[Post_time]
+Patches = (Patch_20091030_histcom_time_axis)
+GatherWithInternal =
+TimeSeriesVars =
Index: CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v2/EXP00/COMP/opa9.card.noiomput
===================================================================
--- CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v2/EXP00/COMP/opa9.card.noiomput	(revision 777)
+++ CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v2/EXP00/COMP/opa9.card.noiomput	(revision 777)
@@ -0,0 +1,75 @@
+[Compatibility]
+libIGCM=1.0
+
+[UserChoices]
+OPA_NPDT_JOURS=15
+ORCA_version=ORCA2.2
+
+[InitialStateFiles]
+List=	()
+
+[BoundaryFiles]
+List=	()
+ListNonDel= (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_ORCA_version}/ahmcoef, .), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_ORCA_version}/bathy_level.nc, .), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_ORCA_version}/bathy_meter.nc, .), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_ORCA_version}/coordinates.nc, .), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_ORCA_version}/data_1m_potential_temperature_nomask.nc, .), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_ORCA_version}/data_1m_salinity_nomask.nc, .), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_ORCA_version}/geothermal_heating.nc, .),\
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_ORCA_version}/runoff_1m_nomask.nc, .),\
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_ORCA_version}/subbasins.nc, .),\
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_ORCA_version}/chlaseawifs_c1m-99-05_smooth_ORCA_R2.nc, chlorophyll.nc),\
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_ORCA_version}/Tides_K1_drg_ORCA_R2.nc, K1rowdrg.nc),\
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_ORCA_version}/Tides_M2_drg_ORCA_R2.nc, M2rowdrg.nc),\
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_ORCA_version}/tmaskitf_ORCA2_bis.nc, mask_itf.nc),\
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_ORCA_version}/kRGB61.txt, .)
+
+[ParametersFiles]
+List=	(${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE}, namelist)
+
+[RestartFiles]
+List=	(${config_UserChoices_JobName}_${NEMO_END}_restart.nc,  restart.nc, restartopa.nc)
+
+[OutputText]
+List=   (ocean.output, oceanx.prt, solver.stat)
+
+[OutputFiles]
+List=   (${PREFIX_NWRITE}_${DATE_OPA}_grid_T.nc, ${R_OUT_OCE_NWRITE}/${PREFIX}_${WF1}_grid_T.nc, Post_1M_grid_T),\
+        (${PREFIX_NWRITE}_${DATE_OPA}_grid_U.nc, ${R_OUT_OCE_NWRITE}/${PREFIX}_${WF1}_grid_U.nc, Post_1M_grid_U) ,\
+        (${PREFIX_NWRITE}_${DATE_OPA}_grid_V.nc, ${R_OUT_OCE_NWRITE}/${PREFIX}_${WF1}_grid_V.nc, Post_1M_grid_V),\
+        (${PREFIX_NWRITE}_${DATE_OPA}_grid_W.nc, ${R_OUT_OCE_NWRITE}/${PREFIX}_${WF1}_grid_W.nc, Post_1M_grid_W),\
+        (${PREFIX_NWRITE}_${DATE_OPA}_diaptr.nc, ${R_OUT_OCE_NWRITE}/${PREFIX}_${WF1}_diaptr.nc, Post_1M_diaptr),\
+        (${PREFIX_NWRITE}_${DATE_OPA}_S_tren.nc, ${R_OUT_OCE_NWRITE}/${PREFIX}_${WF1}_S_tren.nc, NONE),\
+        (${PREFIX_NWRITE}_${DATE_OPA}_T_tren.nc, ${R_OUT_OCE_NWRITE}/${PREFIX}_${WF1}_T_tren.nc, NONE),\
+        (${PREFIX_NWRITE}_${DATE_OPA}_trends.nc, ${R_OUT_OCE_NWRITE}/${PREFIX}_${WF1}_trends.nc, NONE),\
+        (${PREFIX_NWRITE}_${DATE_OPA}_diagap.nc, ${R_OUT_OCE_NWRITE}/${PREFIX}_${WF1}_diagap.nc, NONE),\
+        (${PREFIX_NWRIHF}_${DATE_OPA}_grid_T.nc, ${R_OUT_OCE_NWRIHF}/${PREFIX}_${WF2}_grid_T.nc, NONE),\
+        (${PREFIX_NWRIHF}_${DATE_OPA}_grid_U.nc, ${R_OUT_OCE_NWRIHF}/${PREFIX}_${WF2}_grid_U.nc, NONE),\
+        (${PREFIX_NWRIHF}_${DATE_OPA}_grid_V.nc, ${R_OUT_OCE_NWRIHF}/${PREFIX}_${WF2}_grid_V.nc, NONE),\
+        (mesh_mask.nc                          , ${R_OUT_OCE_O}/${config_UserChoices_JobName}_mesh_mask.nc, NONE)
+
+[Post_1M_grid_T]
+Patches = ()
+GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter)
+TimeSeriesVars = (sohtc300, sohefldo, soicecov, somxl010, sosaline, sossheig, sosstsst, sowaflcd, sowaflup)
+
+[Post_1M_grid_U]
+Patches = ()
+GatherWithInternal = (nav_lon, nav_lat, depthu, time_counter)
+TimeSeriesVars = (sozotaux)
+
+[Post_1M_grid_V]
+Patches = ()
+GatherWithInternal = (nav_lon, nav_lat, depthv, time_counter)
+TimeSeriesVars = (sometauy)
+
+[Post_1M_grid_W]
+Patches = ()
+GatherWithInternal = (nav_lon, nav_lat, depthw, time_counter)
+TimeSeriesVars =
+
+[Post_1M_diaptr]
+Patches = ()
+GatherWithInternal = (lat, deptht, depthw, time_counter)
+TimeSeriesVars = (zotemglo, zosalglo, zomsfglo, zotematl, zosalatl, zomsfatl, zotempac, zosalpac, zomsfpac, zotemind, zosalind, zomsfind, zotemipc, zosalipc, zomsfipc, sohtatl, sostatl, sohtpac, sostpac, sohtind, sostind, sohtipc, sostipc, sophtadv, sophtldf, sophtove, sophtldf, sopstadv, sopstove, zomsfeiv, sophteiv, sopsteiv) 
Index: CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v2/EXP00/COMP/opa9.driver
===================================================================
--- CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v2/EXP00/COMP/opa9.driver	(revision 775)
+++ CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v2/EXP00/COMP/opa9.driver	(revision 777)
@@ -43,12 +43,16 @@
     PAT_NRSTAR=$( supergrep nn_rstctl  ${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE} )
     PAT_NMSH=$(   supergrep nn_msh     ${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE} )
-    PAT_PRG=$(    supergrep nn_prg ${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE} )
+    PAT_PRG=$(    supergrep nn_prg     ${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE} )
     PAT_NF_PTR=$( supergrep nf_ptr_wri ${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE} )
 
-    ORCA_RDT=$( supergrep rn_rdt  ${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE} | sed 's/ *rn_rdt *=//' | sed 's/\. *//' )
+    ORCA_RDT=$(   supergrep rn_rdt     ${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE} | sed 's/ *rn_rdt *=//' | sed 's/\. *//' )
 
     # Period Length In Days between DateBegin and first day of calendar 0001 01 01
     # /!\ Needed by OPA namelist to compute file names /!\
     (( DaysSinceJC = $( IGCM_date_DaysSinceJC ${DateBegin} ) + 1 ))
+
+    ##--Variables used for XMLIO_SERVER configuration file
+    # using_server: .TRUE.(.FALSE.) to use(bypass) the io_server
+    PAT_SERVER=$( supergrep using_server ${SUBMIT_DIR}/PARAM/xmlio_server.def )
 
     IGCM_debug_PopStack "OCE_Initialize"
@@ -61,4 +65,7 @@
 
     NbFreq=$( echo ${config_OCE_WriteFrequency} | wc -w )
+
+    ## This informations are used for diaptr, trends and diagap files
+    ## only the first frequency is used for this files
 
     ##--Write Frequency Purpose ....
@@ -89,5 +96,5 @@
 
     ##--Write Frequency Purpose .... concerning the second opa file type.
-    if [ ${NbFreq} -eq 2 ] ; then
+    if [ ${NbFreq} -ge 2 ] ; then
 	frequency=$( echo ${config_OCE_WriteFrequency} | awk "-F " '{print $2}' )
 	factor=$( echo ${frequency} | sed -e "s/[yYmMdD]//" )
@@ -115,4 +122,28 @@
     fi
 
+
+    ##--Write Frequency for iomput
+    ## Differents frequencies are allowed for grid_[TUVW] and icemod files
+
+    V1D_ENABLE=".FALSE."
+    V5D_ENABLE=".FALSE."
+    V1M_ENABLE=".FALSE."
+    V1Y_ENABLE=".FALSE."
+
+    for frequency in ${config_OCE_WriteFrequency} ; do
+        case ${frequency} in
+            1D|1d) V1D_ENABLE=".TRUE." ;;
+        esac
+        case ${frequency} in
+            5D|5d) V5D_ENABLE=".TRUE." ;;
+        esac
+        case ${frequency} in
+            1M|1m) V1M_ENABLE=".TRUE." ;;
+        esac
+        case ${frequency} in
+            *[yY]) V1Y_ENABLE=".TRUE." ;;
+        esac
+    done
+
     # Period Length In Days between DateBegin and first day of calendar 0001 01 01
     # Needed by OPA namelist to compute correct file names 
@@ -190,4 +221,52 @@
     grep AUTO namelist
 
+    ##--Variables used for iodef xml configuration file
+    # output_1m_frequency_oce : output frequency of ocean output files in seconds
+    #     - length of 1 month (in seconds) 
+    #     - -1 for monthly mean with 31-28-31-30 .... calendar if
+    #          simulation are done per year. ie PeriodLength=1Y in config.card
+    #     - n days (in seconds) for other Period Length
+    #                           
+
+    output_1m_frequency_oce=-1
+
+    case ${config_UserChoices_PeriodLength} in
+        *Y|*y)
+              (( output_1m_frequency_oce = 86400 * $( IGCM_date_DaysInMonth ${year} ${month} ) )) 
+              if [ "${config_UserChoices_CalendarType}" != "360d" ] ; then
+                 output_1m_frequency_oce=-1
+              fi
+              ;;
+        *M|*m)
+              (( output_1m_frequency_oce = 86400 * $( IGCM_date_DaysInMonth ${year} ${month} ) ))
+              if [ "${config_UserChoices_CalendarType}" != "360d" ] ; then
+                 output_1m_frequency_oce=-1
+              fi
+              ;;
+        *)
+              (( output_1m_frequency_oce = PeriodLengthInDays * 86400 )) ;;
+    esac
+
+    echo 1M_Frequency in iodef : ${output_1m_frequency_oce}
+
+    # update iodef.xml
+
+    sed -e "s/<1D_ENABLE>/${V1D_ENABLE}/" \
+        -e "s/<5D_ENABLE>/${V5D_ENABLE}/" \
+        -e "s/<1M_ENABLE>/${V1M_ENABLE}/" \
+        -e "s/<1Y_ENABLE>/${V1Y_ENABLE}/" \
+        -e "s/<1M_FREQUENCY>/${output_1m_frequency_oce}/g" \
+        iodef.xml > iodef.xml.tmp
+
+    IGCM_sys_Mv iodef.xml.tmp iodef.xml
+
+    # update xmlio_server.def
+
+    if [ X${opa9_UserChoices_io_server} = Xy ] ; then
+        sed -e "s/${PAT_SERVER}/  using_server = .TRUE./" \
+        xmlio_server.def > xmlio_server.def.tmp
+        IGCM_sys_Mv xmlio_server.def.tmp xmlio_server.def
+    fi
+
     IGCM_debug_PopStack "OCE_Update"
 }
Index: CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v2/EXP00/COMP/opa9.driver.noiomput
===================================================================
--- CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v2/EXP00/COMP/opa9.driver.noiomput	(revision 777)
+++ CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v2/EXP00/COMP/opa9.driver.noiomput	(revision 777)
@@ -0,0 +1,211 @@
+#!/bin/ksh
+#-----------------------------------------------------------------
+function OCE_Initialize
+{
+    IGCM_debug_PushStack "OCE_Initialize"
+
+    JOB_NAME=${config_UserChoices_JobName}
+    RESOL_OCE=$( echo $RESOL | awk "-Fx" '{print $1}' )
+
+    ORCA_NPDT_JOUR=${opa9_UserChoices_OPA_NPDT_JOURS:=15}
+
+    # Local function to find namelists parameters
+    supergrep () {
+ 	grep "^ *$1 *=" $2 | sed -e "s% *\!.*%%"
+    }
+
+    ##--Variables used by OPA --
+
+    # cn_exp    experience name
+    # nn_it000  number of the first time step
+    # nn_itend  number of the last time step
+    # nn_date0  initial calendar date yymmdd (used if  nn_rstctl=1)
+    # nn_leapy  Leap year calendar (1) or not (0), or 360 days calendar (30)
+    # nn_stock  frequency of creation of a restart file (modulo referenced to 1)
+    # nn_write  frequency of write in the output file   (modulo referenced to nn_it000)
+    # ln_rstart start from rest (F) or from a restart file (T)
+    # nn_rstctl restart control = 0 nn_it000 is not compared to the restart file value
+    #                           = 1 use nn_date0 in namelist (not the value in the restart file)
+    #                           = 2 calendar parameters read in the restart file
+    # nn_msh    =1 create a mesh file (coordinates, scale factors, masks)
+    # rn_rdt    time step in seconds for the dynamics (and tracer if nacc=0)   ==> 5760 (coming from namelist)
+    # nn_prg    time-step frequency of gap print in model output
+    # nf_ptr_wri frequency of zonal means and transport output
+
+    PAT_CEXPER=$( supergrep cn_exp     ${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE} )
+    PAT_NIT000=$( supergrep nn_it000   ${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE} )
+    PAT_NITEND=$( supergrep nn_itend   ${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE} )
+    PAT_NDATE0=$( supergrep nn_date0   ${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE} )
+    PAT_NLEAPY=$( supergrep nn_leapy   ${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE} )
+    PAT_NSTOCK=$( supergrep nn_stock   ${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE} )
+    PAT_NWRITE=$( supergrep nn_write   ${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE} )
+    PAT_RESTAR=$( supergrep ln_rstart  ${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE} )
+    PAT_NRSTAR=$( supergrep nn_rstctl  ${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE} )
+    PAT_NMSH=$(   supergrep nn_msh     ${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE} )
+    PAT_PRG=$(    supergrep nn_prg ${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE} )
+    PAT_NF_PTR=$( supergrep nf_ptr_wri ${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE} )
+
+    ORCA_RDT=$( supergrep rn_rdt  ${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE} | sed 's/ *rn_rdt *=//' | sed 's/\. *//' )
+
+    # Period Length In Days between DateBegin and first day of calendar 0001 01 01
+    # /!\ Needed by OPA namelist to compute file names /!\
+    (( DaysSinceJC = $( IGCM_date_DaysSinceJC ${DateBegin} ) + 1 ))
+
+    IGCM_debug_PopStack "OCE_Initialize"
+}
+
+#-----------------------------------------------------------------
+function OCE_Update
+{
+    IGCM_debug_PushStack "OCE_Update"
+
+    NbFreq=$( echo ${config_OCE_WriteFrequency} | wc -w )
+
+    ##--Write Frequency Purpose ....
+    frequency=$( echo ${config_OCE_WriteFrequency} | awk "-F " '{print $1}' )
+    factor=$( echo ${frequency} | sed -e "s/[yYmMdD]//" )
+    case ${frequency} in
+	1Y|1y)
+	    (( ORCA_NWRITE = ORCA_NPDT_JOUR * factor * $( IGCM_date_DaysInYear  ${year} ) ))          ;
+	    PREFIX_NWRITE=${config_UserChoices_JobName}_${factor}y ;
+	    R_OUT_OCE_NWRITE=${R_OUT_OCE_O_Y} ;
+	    R_OUT_ICE_NWRITE=${R_OUT_ICE_O_Y} ;
+	    WF1=${factor}Y ;;
+	1M|1m)
+	    (( ORCA_NWRITE = ORCA_NPDT_JOUR * factor * $( IGCM_date_DaysInMonth ${year} ${month} ) )) ;
+	    PREFIX_NWRITE=${config_UserChoices_JobName}_${factor}m ;
+	    R_OUT_OCE_NWRITE=${R_OUT_OCE_O_M} ;
+	    R_OUT_ICE_NWRITE=${R_OUT_ICE_O_M} ;
+	    WF1=${factor}M ;;
+	*D|*d)
+	    (( ORCA_NWRITE = ORCA_NPDT_JOUR * factor  ))  ;
+	    PREFIX_NWRITE=${config_UserChoices_JobName}_${factor}d ;
+	    R_OUT_OCE_NWRITE=${R_OUT_OCE_O_D} ;
+	    R_OUT_ICE_NWRITE=${R_OUT_ICE_O_D} ;
+	    WF1=${factor}D ;;
+	*)
+	    (( ORCA_NWRITE = 0 ))                                                            ;;
+    esac
+
+    ##--Write Frequency Purpose .... concerning the second opa file type.
+    if [ ${NbFreq} -eq 2 ] ; then
+	frequency=$( echo ${config_OCE_WriteFrequency} | awk "-F " '{print $2}' )
+	factor=$( echo ${frequency} | sed -e "s/[yYmMdD]//" )
+	case ${frequency} in
+	    *Y|*y)
+		(( ORCA_NWRIHF = ORCA_NPDT_JOUR * factor * $( IGCM_date_DaysInYear  ${year} ) ))          ;
+		PREFIX_NWRIHF=${config_UserChoices_JobName}_${factor}y ;
+		R_OUT_OCE_NWRIHF=${R_OUT_OCE_O_Y} ;
+		WF2=${factor}Y ;;
+	    *M|*m)
+		(( ORCA_NWRIHF = ORCA_NPDT_JOUR * factor * $( IGCM_date_DaysInMonth ${year} ${month} ) )) ;
+		PREFIX_NWRIHF=${config_UserChoices_JobName}_${factor}m ;
+		R_OUT_OCE_NWRIHF=${R_OUT_OCE_O_M} ;
+		WF2=${factor}M ;;
+	    *D|*d)
+		(( ORCA_NWRIHF = ORCA_NPDT_JOUR * factor ))  ;
+		PREFIX_NWRIHF=${config_UserChoices_JobName}_${factor}d ;
+		R_OUT_OCE_NWRIHF=${R_OUT_OCE_O_D} ;
+		WF2=${factor}D ;;
+	    *)
+		(( ORCA_NWRIHF = 0 ))                                                            ;;
+	esac
+    else
+	ORCA_NWRIHF=0
+    fi
+
+    # Period Length In Days between DateBegin and first day of calendar 0001 01 01
+    # Needed by OPA namelist to compute correct file names 
+    (( PeriodDaysSinceJC =  $( IGCM_date_DaysSinceJC ${PeriodDateBegin} ) + 1  ))
+
+    ##-- Number of time steps updated : the first, the last and the number of time steps
+    (( ORCA_NIT000 = ( PeriodDaysSinceJC - DaysSinceJC ) * ORCA_NPDT_JOUR + 1 ))
+    (( ORCA_NPDT   = PeriodLengthInDays * ORCA_NPDT_JOUR ))
+    (( ORCA_NITEND = ORCA_NIT000 + ORCA_NPDT - 1))
+
+    ##-- We force one restart file at the end of the trunk
+    ORCA_NSTOCK="${ORCA_NITEND}"
+
+    ##-- Let verify the number of time steps per day
+    (( NB_SEC_JOUR_MODEL = ORCA_NPDT_JOUR * ORCA_RDT ))
+    (( NB_SEC_JOUR = 60 * 60 * 24 ))
+
+    if [ ${NB_SEC_JOUR_MODEL} -ne ${NB_SEC_JOUR} ] ; then
+        echo " VERIFY ORCA_NPDT_JOUR in opa9.card "
+        exit
+    fi
+
+    ##-- Restart configuration
+    if ( [ "${CumulPeriod}" -eq 1 ] && [ "${config_OCE_Restart}" = "n" ] ) ; then
+	ORCA_LRSTAR=.FALSE.
+	ORCA_NRSTDT=0
+        # Put ORCA_NMSH=0 when OPA running in parallel mode
+	ORCA_NMSH=1
+	#echo "NO OPA RESTART"
+    elif ( [ "${CumulPeriod}" -eq 1 ] && [ "${config_OCE_Restart}" = "y" ] ) ; then
+	ORCA_LRSTAR=.TRUE.
+	ORCA_NRSTDT=0
+	ORCA_NMSH=0
+	#echo "OPA RESTART"
+    else
+	ORCA_LRSTAR=.TRUE.
+	ORCA_NRSTDT=2
+	ORCA_NMSH=0
+	#echo "OPA RESTART"
+    fi
+
+    # nleapy configuration
+    case ${config_UserChoices_CalendarType} in
+        leap|gregorian)
+            ORCA_NLEAPY=1;;
+        noleap)
+            ORCA_NLEAPY=0;;
+        360d)
+            ORCA_NLEAPY=30;;
+        *)
+            ORCA_NLEAPY=30
+    esac
+
+    typeset -r PRECIS=8
+    NEMO_END=$( echo $( awk "BEGIN { printf \"%0${PRECIS}d\",${ORCA_NITEND} }" ) ) 
+
+
+    sed -e "s/${PAT_CEXPER}/       cn_exp=\"${config_UserChoices_JobName}\"/" \
+	-e "s/${PAT_NIT000}/       nn_it000=${ORCA_NIT000}/"                    \
+	-e "s/${PAT_NITEND}/       nn_itend=${ORCA_NITEND}/"                    \
+	-e "s/${PAT_NDATE0}/       nn_date0=${PeriodDateBegin}/"                \
+        -e "s%${PAT_NLEAPY}%       nn_leapy=${ORCA_NLEAPY}%"                    \
+	-e "s/${PAT_NSTOCK}/       nn_stock=${ORCA_NSTOCK}/"                    \
+	-e "s/${PAT_NWRITE}/       nn_write=${ORCA_NWRITE}/"                    \
+	-e "s/${PAT_RESTAR}/       ln_rstart=${ORCA_LRSTAR}/"                 \
+	-e "s/${PAT_NRSTAR}/       nn_rstctl=${ORCA_NRSTDT}/"                    \
+	-e "s/${PAT_NMSH}/         nn_msh=${ORCA_NMSH}/"                        \
+	-e "s/${PAT_NPRG}/         nn_prg=${ORCA_NWRITE}/"                      \
+	-e "s/${PAT_NF_PTR}/       nf_ptr_wri=${ORCA_NWRITE}/"                \
+	namelist > namelist.tmp
+
+    IGCM_sys_Mv namelist.tmp namelist
+
+    echo 'Variables automatically updated in ORCA namelist'
+    grep AUTO namelist
+
+    IGCM_debug_PopStack "OCE_Update"
+}
+
+#-----------------------------------
+function OCE_Finalize
+{
+    IGCM_debug_PushStack "OCE_Finalize"
+
+    if [ -f date.file ] ; then
+        # Prefix use in opa9.card AND in lim2.card :
+	DATE_OPA=$( cat date.file | \
+	    sed "s/\ ${config_UserChoices_JobName}_[0-9]*[a-z]_\([0-9]*_[0-9]*\)_\ */\1/g" )
+	MainPrefix=${config_UserChoices_JobName}_1d_${DATE_OPA}
+	SecondPrefix=${config_UserChoices_JobName}_5d_${DATE_OPA}
+    fi
+
+    echo FINALIZE OCE !!!
+
+    IGCM_debug_PopStack "OCE_Finalize"
+}
Index: CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v2/EXP00/PARAM/xmlio_server.def
===================================================================
--- CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v2/EXP00/PARAM/xmlio_server.def	(revision 777)
+++ CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v2/EXP00/PARAM/xmlio_server.def	(revision 777)
@@ -0,0 +1,18 @@
+! xmlio_server namelist
+!
+! using_server: .TRUE.(.FALSE.) to use(bypass) the io_server
+! using_oasis : .TRUE.(.FALSE.) if nemo is coupled through OASIS
+! client_id   : used only for OASIS, NEMO      id in the namecouple
+! server_id   : used only for OASIS, io_server id in the namecouple
+!
+&coupling_param
+  using_server = .FALSE.
+  using_oasis  = .TRUE.
+  client_id    = 'oceanx'
+  server_id    = 'ionemo'
+/
+
+! global_mpi_buffer_size: size in Mo of the MPI buffer used by the io_server
+&mpi_param
+  global_mpi_buffer_size = 512
+/
